## vokoscreen-ng 3.5.0

=== xdg-portal-test-kde/CMakeLists.txt ===
project(flatpak-portal-test-kde)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")

################# set KDE specific information #################

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMPackageConfigHelpers)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)

include(FindPkgConfig)

find_package(GLIB2 REQUIRED)

pkg_check_modules(GSTREAMER REQUIRED gstreamer-1.0)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Widgets
)

find_package(KF5 REQUIRED
    I18n
    KIO
    Notifications
)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0 -DQT_NO_KEYWORDS)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)

add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== xdg-portal-test-kde/src/CMakeLists.txt ===
set(flatpak_portal_test_kde_SRCS
    main.cpp
    portaltest.cpp
)

ki18n_wrap_ui(flatpak_portal_test_kde_SRCS
    portaltest.ui
)

include_directories(${GSTREAMER_INCLUDE_DIRS})

add_executable(portal-test-kde ${flatpak_portal_test_kde_SRCS})

target_link_libraries(portal-test-kde
    Qt5::Core
    Qt5::DBus
    Qt5::Widgets
    KF5::I18n
    KF5::KIOFileWidgets
    KF5::Notifications
    GLIB2::GLIB2
    ${GSTREAMER_LIBRARIES}
)

install(TARGETS portal-test-kde DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

## vokoscreen-ng 3.0.1

=== debian/changelog ===
vokoscreen-ng (3.0.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make all the gstreamer plugins hard dependencies.
  * Pulseaudio and va-api packages become recommended, as well as add an
    anternative preferred recommends for intel-media-va-driver-nonfree.
  * Add minimum required versions of Qt 5 5.9.4 and gstreamer 1.12.5.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Feb 2020 17:50:21 -0800

vokoscreen-ng (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1.
  * debian/control: bumped Standards-Version to 4.5.0.
  * debian/copyright: updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 01 Feb 2020 23:48:32 -0300

vokoscreen-ng (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0.
  * debian/copyright:
      - Added Upstream-Contact field.
      - Updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 05 Jan 2020 01:10:19 -0300

vokoscreen-ng (2.9.9~beta-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 2.9.9~beta.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added VCS fields.
      - Bumped Standards-Version to 4.4.1.
  * debian/menu/vokoscreenNG.desktop: fixed Icon option to use the right path.
  * debian/README.Debian: added instructions about flickering issues.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 11 Nov 2019 10:05:57 -0300

vokoscreen-ng (2.9.8~beta+git20190812.37c892b-1) experimental; urgency=medium

  * Initial release. (Closes: #931655)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 13 Aug 2019 23:21:25 -0300

=== debian/control ===
Source: vokoscreen-ng
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 12),
               libgstreamer1.0-dev (>= 1.12.5),
               libqt5x11extras5-dev (>= 5.9.4),
               qtmultimedia5-dev (>= 5.9.4),
               qttools5-dev-tools (>= 5.9.4)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/vkohaupt/vokoscreenNG
Vcs-Browser: https://salsa.debian.org/debian/vokoscreen-ng
Vcs-Git: https://salsa.debian.org/debian/vokoscreen-ng.git

Package: vokoscreen-ng
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer1.0-plugins-good,
          gstreamer1.0-libav,
          gstreamer1.0-pulseaudio,
          libqt5multimedia5-plugins,
          gstreamer1.0-plugins-ugly,
          gstreamer1.0-plugins-bad
Recommends: gstreamer1.0-vaapi,
            intel-media-va-driver-non-free | intel-media-va-driver,
            pulseaudio
Description: easy to use screencast creator
 vokoscreenNG can be used to record videos from computers screen, webcams,
 external cameras, etc. This graphical tool can produce educational videos,
 live recordings of browser navigation, tutorials of installations, record
 videoconferences, etc. You can capture an alone video or video and sound.
 .
 This program can save files in some formats and use some codecs for video
 and audio:
 .
   - Video: x264, VP8, H.264 (Intel GPU) and MPEG-2 (Intel GPU).
   - Audio: vorbis, flac, opus and mp3.
   - File : mkv, webm, avi, mp4 and mov.
 .
 vokoscreenNG is a modern full replacement for vokoscreen, both written by
 Volker Kohaupt. The main difference is that vokoscreen uses ffmpeg as base,
 while vokoscreenNG has been rewritten from scratch and is based in GStreamer.

## vokoscreen-ng 3.0.2

=== debian/changelog ===
vokoscreen-ng (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Feb 2020 21:27:52 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: vokoscreen-ng
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               libgstreamer1.0-dev (>= 1.12.5),
-               libqt5x11extras5-dev (>= 5.9.4),
-               qtmultimedia5-dev (>= 5.9.4),
-               qttools5-dev-tools (>= 5.9.4)
+               libgstreamer1.0-dev,
+               libqt5x11extras5-dev,
+               qtmultimedia5-dev,
+               qttools5-dev-tools
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/vkohaupt/vokoscreenNG
@@ -16,15 +15,15 @@
 
 Package: vokoscreen-ng
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer1.0-plugins-good,
-          gstreamer1.0-libav,
-          gstreamer1.0-pulseaudio,
-          libqt5multimedia5-plugins,
-          gstreamer1.0-plugins-ugly,
-          gstreamer1.0-plugins-bad
-Recommends: gstreamer1.0-vaapi,
-            intel-media-va-driver-non-free | intel-media-va-driver,
+Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer1.0-plugins-good
+Recommends: gstreamer1.0-libav,
+            gstreamer1.0-pulseaudio,
+            libqt5multimedia5-plugins,
             pulseaudio
+Suggests: gstreamer1.0-plugins-ugly,
+          gstreamer1.0-plugins-bad,
+          gstreamer1.0-vaapi,
+          intel-media-va-driver
 Description: easy to use screencast creator
  vokoscreenNG can be used to record videos from computers screen, webcams,
  external cameras, etc. This graphical tool can produce educational videos,

=== debian/tests/control ===
Test-Command: xvfb-run -a vokoscreenNG --version
Depends: @, xauth, xvfb
Restrictions: allow-stderr

Test-Command: xvfb-run -a vokoscreenNG &
Depends: @, xauth, xvfb
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/-beta/~beta/ \
https://github.com/vkohaupt/vokoscreenNG/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## vokoscreen-ng 3.0.3

=== debian/changelog ===
vokoscreen-ng (3.0.3-0.1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Sat, 18 Apr 2020 17:31:47 -0400

vokoscreen-ng (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.3.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Apr 2020 15:10:50 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vokoscreen-ng
 Section: video
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 12),
                libgstreamer1.0-dev,
                libqt5x11extras5-dev,

## vokoscreen-ng 3.0.4

=== debian/changelog ===
vokoscreen-ng (3.0.4-0.1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * Make all the gstreamer plugins hard dependencies.
  * Pulseaudio and va-api packages become recommended, as well as add an
  alternative preferred recommends for intel-media-va-driver-nonfree.
  * Add minimum required versions of gstreamer 1.12.5.
  * rules: add dh_strip --no-automatic-dbgsym.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sat, 06 Jun 2020 19:57:39 -0400

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               libgstreamer1.0-dev,
-               libqt5x11extras5-dev,
-               qtmultimedia5-dev,
-               qttools5-dev-tools
+               libgstreamer1.0-dev (>= 1.12.5),
+               libqt5x11extras5-dev (>= 5.9.4),
+               qtmultimedia5-dev (>= 5.9.4),
+               qttools5-dev-tools (>= 5.9.4)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/vkohaupt/vokoscreenNG
@@ -16,15 +16,16 @@
 
 Package: vokoscreen-ng
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer1.0-plugins-good
-Recommends: gstreamer1.0-libav,
-            gstreamer1.0-pulseaudio,
-            libqt5multimedia5-plugins,
-            pulseaudio
-Suggests: gstreamer1.0-plugins-ugly,
-          gstreamer1.0-plugins-bad,
-          gstreamer1.0-vaapi,
-          intel-media-va-driver
+Depends: ${misc:Depends}, ${shlibs:Depends}, 
+         gstreamer1.0-libav,
+         gstreamer1.0-pulseaudio,
+         gstreamer1.0-plugins-good,
+         gstreamer1.0-plugins-ugly,
+         gstreamer1.0-plugins-bad,
+         libqt5multimedia5-plugins
+Recommends: gstreamer1.0-vaapi,
+            pulseaudio,
+            intel-media-va-driver | intel-media-va-driver-nonfree     
 Description: easy to use screencast creator
  vokoscreenNG can be used to record videos from computers screen, webcams,
  external cameras, etc. This graphical tool can produce educational videos,

## vokoscreen-ng 3.0.5

=== debian/changelog ===
vokoscreen-ng (3.0.5-1) unstable; urgency=medium

  * New upstream version 3.0.5.

 -- Thiago Andrade Marques <andrade@debian.org>  Thu, 06 Aug 2020 19:11:41 -0300

vokoscreen-ng (3.0.4-3) unstable; urgency=medium

  * New maintainer. (Closes: #964943)
    Thanks to Joao Eriberto Mota Filho, the last maintainer.
  * debian/copyright: added packaging rights for me.
  * debian/salsa-ci.yml: removed allow reprotest to fail, it's no more needed.
  * debian/watch: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Thu, 16 Jul 2020 16:51:33 -0300

vokoscreen-ng (3.0.4-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (See #964943)
  * debian/upstream/de.volkoh.linuxecke.vokoscreen_ng.metainfo.xml: created to
    make available an AppStream metadata. Consequently:
      - debian/copyright: added a licensing for new file.
      - debian/install: added a line to install the new file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 14 Jul 2020 22:27:45 -0300

vokoscreen-ng (3.0.4-1) unstable; urgency=medium

  * New upstream version 3.0.4.
  * Upload to unstable.
  * debian/control:
      - Migrated DH level to 13.
      - Updated long description.
  * debian/install: changed to install the .desktop file from upstream.
    (Closes: #956904)
  * debian/source/lintian-overrides: created to override a message about
    manpage, as requested by lintian.
  * debian/tests/control: set the first test as superficial.
  * debian/vokoscreenNG.desktop: removed. Now using the file provided by
    upstream.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 12 Jul 2020 18:04:03 -0300

vokoscreen-ng (3.0.3-3) experimental; urgency=medium

  * debian/control: created a transitional package called vokoscreen to install
    vokoscreen-ng. vokoscreen-ng is the replacement for vokoscreen, removed
    today from Debian. See #956865.
  * debian/upstream/metadata: fixed Bug-Submit and Repository.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 17 Apr 2020 18:55:49 -0300

vokoscreen-ng (3.0.3-2) unstable; urgency=medium

  * Use high resolution icon. Thanks to Ronny Standtke <ronny.standtke@gmx.net>.
    Consequently:
      - debian/source/include-binaries: no longer needed. Removed.
      - debian/install: no longer install vokoscreenNG.xpm and vokoscreenNG.png.
      - debian/menu/vokoscreenNG.desktop:
          ~ Changed from /usr/share/pixmap/vokoscreenNG.xpm to vokoscreenNG in
            Icon option.
          ~ Moved to debian/.
      - debian/menu/*: removed.
      - Closes: #956724
  * debian/control: updated the Homepage field.
  * debian/upstream/metadata: created.
  * debian/vokoscreenNG.desktop: added a German translation of the GenericName
    field. Thanks to Ronny Standtke <ronny.standtke@gmx.net>. (Closes: #956724)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 14 Apr 2020 16:34:17 -0300

=== debian/control ===
Source: vokoscreen-ng
Section: video
Priority: optional
Maintainer: Thiago Andrade Marques <andrade@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgstreamer1.0-dev,
               libqt5x11extras5-dev,
               qtmultimedia5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://linuxecke.volkoh.de/vokoscreen/vokoscreen.html
Vcs-Browser: https://salsa.debian.org/debian/vokoscreen-ng
Vcs-Git: https://salsa.debian.org/debian/vokoscreen-ng.git

Package: vokoscreen-ng
Replaces: vokoscreen (<< 2.5.0-6~)
Breaks: vokoscreen (<< 2.5.0-6~)
Provides: vokoscreen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer1.0-plugins-good
Recommends: gstreamer1.0-libav,
            gstreamer1.0-pulseaudio,
            libqt5multimedia5-plugins,
            pulseaudio
Suggests: gstreamer1.0-plugins-ugly,
          gstreamer1.0-plugins-bad,
          gstreamer1.0-vaapi,
          intel-media-va-driver
Description: easy to use screencast creator
 vokoscreenNG can be used to record videos from computers screen, webcams,
 external cameras, etc. This graphical tool can produce educational videos,
 live recordings of browser navigation, tutorials of installations, record
 videoconferences, etc. You can capture an alone video or video and sound.
 .
 This program can save files in some formats and use some codecs for video
 and audio:
 .
   - Video: x264, openh264, H.264 (Intel GPU), MPEG-2 (Intel GPU) and VP8.
   - Audio: vorbis, flac, opus, mp3 and aac.
   - File : mkv, webm, avi, mp4 and mov.
 .
   NOTE: for now openh264 and acc are not available in Debian.
 .
 vokoscreenNG is a modern full replacement for vokoscreen, both written by
 Volker Kohaupt. The main difference is that vokoscreen uses ffmpeg as base,
 while vokoscreenNG has been rewritten from scratch and is based in GStreamer.

Package: vokoscreen
Architecture: all
Depends: ${misc:Depends}, vokoscreen-ng
Section: oldlibs
Description: easy to use screencast creator (transitional package)
 This is a transitional package. It can safely be removed.

## vokoscreen-ng 3.0.6

=== debian/changelog ===
vokoscreen-ng (3.0.6-1.1~mx19+2) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 31 Aug 2020 21:19:41 -0400

vokoscreen-ng (3.0.5-1.1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Update Debian Maintainer to match upstream.
  * Make all the gstreamer plugins hard dependencies.
  * Pulseaudio and va-api packages become recommended, as well as add an
  alternative preferred recommends for intel-media-va-driver-nonfree.
  * Add minimum required versions of gstreamer 1.12.5.
  * rules: add dh_strip --no-automatic-dbgsym.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 31 Aug 2020 16:20:10 -0400

=== debian/control ===
Source: vokoscreen-ng
Section: video
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Thiago Andrade Marques <andrade@debian.org>
Build-Depends: debhelper-compat (= 13),
               qt5-default,
               libgstreamer1.0-dev (>= 1.12.5),
               libqt5x11extras5-dev (>= 5.9.4),
               qtmultimedia5-dev (>= 5.9.4),
               qttools5-dev-tools (>= 5.9.4),
               libqt5multimedia5-plugins
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/vkohaupt/vokoscreenNG
Vcs-Browser: https://salsa.debian.org/debian/vokoscreen-ng
Vcs-Git: https://salsa.debian.org/debian/vokoscreen-ng.git

Package: vokoscreen-ng
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 
         gstreamer1.0-libav,
         gstreamer1.0-pulseaudio,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         gstreamer1.0-plugins-bad,
         libqt5multimedia5-plugins
Recommends: gstreamer1.0-vaapi,
            pulseaudio,
            intel-media-va-driver | intel-media-va-driver-nonfree     
Description: easy to use screencast creator
 vokoscreenNG can be used to record videos from computers screen, webcams,
 external cameras, etc. This graphical tool can produce educational videos,
 live recordings of browser navigation, tutorials of installations, record
 videoconferences, etc. You can capture an alone video or video and sound.
 .
 This program can save files in some formats and use some codecs for video
 and audio:
 .
   - Video: x264, openh264, H.264 (Intel GPU), MPEG-2 (Intel GPU) and VP8.
   - Audio: vorbis, flac, opus, mp3 and aac.
   - File : mkv, webm, avi, mp4 and mov.
 .
 vokoscreenNG is a modern full replacement for vokoscreen, both written by
 Volker Kohaupt. The main difference is that vokoscreen uses ffmpeg as base,
 while vokoscreenNG has been rewritten from scratch and is based in GStreamer.

Package: vokoscreen
Architecture: all
Depends: ${misc:Depends}, vokoscreen-ng
Section: oldlibs
Description: easy to use screencast creator (transitional package)
 This is a transitional package. It can safely be removed.

## vokoscreen-ng 3.0.7

=== debian/changelog ===
vokoscreen-ng (3.0.7-1) unstable; urgency=medium

  * New upstream version 3.0.7.
  * debian/control: Added libpulse-dev in Build-Depends field.

 -- Thiago Andrade Marques <andrade@debian.org>  Tue, 27 Oct 2020 12:02:56 -0300

vokoscreen-ng (3.0.6-1) unstable; urgency=medium

  * New upstream version 3.0.6.

 -- Thiago Andrade Marques <andrade@debian.org>  Thu, 03 Sep 2020 20:43:18 -0300

=== debian/control ===
Source: vokoscreen-ng
Section: video
Priority: optional
Maintainer: Thiago Andrade Marques <andrade@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgstreamer1.0-dev,
               libpulse-dev,
               libqt5x11extras5-dev,
               qtmultimedia5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://linuxecke.volkoh.de/vokoscreen/vokoscreen.html
Vcs-Browser: https://salsa.debian.org/debian/vokoscreen-ng
Vcs-Git: https://salsa.debian.org/debian/vokoscreen-ng.git

Package: vokoscreen-ng
Replaces: vokoscreen (<< 2.5.0-6~)
Breaks: vokoscreen (<< 2.5.0-6~)
Provides: vokoscreen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer1.0-plugins-good
Recommends: gstreamer1.0-libav,
            gstreamer1.0-pulseaudio,
            libqt5multimedia5-plugins,
            pulseaudio
Suggests: gstreamer1.0-plugins-ugly,
          gstreamer1.0-plugins-bad,
          gstreamer1.0-vaapi,
          intel-media-va-driver
Description: easy to use screencast creator
 vokoscreenNG can be used to record videos from computers screen, webcams,
 external cameras, etc. This graphical tool can produce educational videos,
 live recordings of browser navigation, tutorials of installations, record
 videoconferences, etc. You can capture an alone video or video and sound.
 .
 This program can save files in some formats and use some codecs for video
 and audio:
 .
   - Video: x264, openh264, H.264 (Intel GPU), MPEG-2 (Intel GPU) and VP8.
   - Audio: vorbis, flac, opus, mp3 and aac.
   - File : mkv, webm, avi, mp4 and mov.
 .
   NOTE: for now openh264 and acc are not available in Debian.
 .
 vokoscreenNG is a modern full replacement for vokoscreen, both written by
 Volker Kohaupt. The main difference is that vokoscreen uses ffmpeg as base,
 while vokoscreenNG has been rewritten from scratch and is based in GStreamer.

Package: vokoscreen
Architecture: all
Depends: ${misc:Depends}, vokoscreen-ng
Section: oldlibs
Description: easy to use screencast creator (transitional package)
 This is a transitional package. It can safely be removed.

=== debian/tests/control ===
Test-Command: xvfb-run -a vokoscreenNG --version
Depends: @, xauth, xvfb
Restrictions: allow-stderr, superficial

Test-Command: xvfb-run -a vokoscreenNG &
Depends: @, xauth, xvfb
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/-beta/~beta/ \
https://github.com/vkohaupt/vokoscreenNG/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## vokoscreen-ng 3.0.7-1+10.0trisquel1

=== debian/changelog ===
vokoscreen-ng (3.0.7-1+10.0trisquel1) nabia-backports; urgency=medium

  * Backported from Impish

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 13 Jul 2022 04:29:16 +0000

## vokoscreen-ng 3.0.8+git20210420

=== debian/changelog ===
vokoscreen-ng (3.0.8+git20210420-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 20 Apr 2021 23:58:35 -0400

vokoscreen-ng (3.0.7-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Make all the gstreamer plugins hard dependencies.
  * Pulseaudio and vaapi packages become recommended, as well as add an
  alternative preferred recommends for intel-media-va-driver-nonfree.
  * Add minimum required versions of gstreamer 1.12.5.
  * rules: add dh_strip --no-automatic-dbgsym.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 27 Oct 2020 15:21:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: vokoscreen-ng
 Section: video
 Priority: optional
-Maintainer: Thiago Andrade Marques <andrade@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Thiago Andrade Marques <andrade@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               libgstreamer1.0-dev,
+               qt5-default,
+               libgstreamer1.0-dev (>= 1.12.5),
+               libqt5x11extras5-dev (>= 5.9.4),
+               qtmultimedia5-dev (>= 5.9.4),
+               qttools5-dev-tools (>= 5.9.4),
+               libqt5multimedia5-plugins,
                libpulse-dev,
-               libqt5x11extras5-dev,
-               qtmultimedia5-dev,
-               qttools5-dev-tools
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: https://linuxecke.volkoh.de/vokoscreen/vokoscreen.html
+Homepage: https://github.com/vkohaupt/vokoscreenNG
 Vcs-Browser: https://salsa.debian.org/debian/vokoscreen-ng
 Vcs-Git: https://salsa.debian.org/debian/vokoscreen-ng.git
 
@@ -19,15 +22,15 @@
 Breaks: vokoscreen (<< 2.5.0-6~)
 Provides: vokoscreen
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer1.0-plugins-good
-Recommends: gstreamer1.0-libav,
+Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer1.0-plugins-good,
+            gstreamer1.0-libav,
             gstreamer1.0-pulseaudio,
             libqt5multimedia5-plugins,
-            pulseaudio
-Suggests: gstreamer1.0-plugins-ugly,
-          gstreamer1.0-plugins-bad,
-          gstreamer1.0-vaapi,
-          intel-media-va-driver
+            gstreamer1.0-plugins-ugly,
+            gstreamer1.0-plugins-bad,
+Recommends: gstreamer1.0-vaapi,
+          pulseaudio,
+          intel-media-va-driver | intel-media-va-driver-nonfree 
 Description: easy to use screencast creator
  vokoscreenNG can be used to record videos from computers screen, webcams,
  external cameras, etc. This graphical tool can produce educational videos,

## vokoscreen-ng 3.0.9+git20210729

=== debian/changelog ===
vokoscreen-ng (3.0.9+git20210729-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream prerelease for MX-21.
  * Make all the gstreamer plugins hard dependencies.
  * Pulseaudio and vaapi packages become recommended, as well as add an
  alternative preferred recommends for intel-media-va-driver-nonfree.
  * Add minimum required versions of gstreamer 1.12.5.
  * rules: add dh_strip --no-automatic-dbgsym.
  * control: comment out DB qt5-default for MX-21 build.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 02 Aug 2021 04:29:50 -0400

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Thiago Andrade Marques <andrade@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               qt5-default,
+#               qt5-default,
                libgstreamer1.0-dev (>= 1.12.5),
                libqt5x11extras5-dev (>= 5.9.4),
                qtmultimedia5-dev (>= 5.9.4),
                qttools5-dev-tools (>= 5.9.4),
                libqt5multimedia5-plugins,
-               libpulse-dev,
-Standards-Version: 4.5.0
+               libwayland-dev,
+               libpulse-dev
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://github.com/vkohaupt/vokoscreenNG
+Homepage: https://linuxecke.volkoh.de/vokoscreen/vokoscreen.html
 Vcs-Browser: https://salsa.debian.org/debian/vokoscreen-ng
 Vcs-Git: https://salsa.debian.org/debian/vokoscreen-ng.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export QT_SELECT=qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts=uversionmangle=s/-beta/~beta/ \
https://github.com/vkohaupt/vokoscreenNG/releases .*/archive/.*/@ANY_VERSION@@ARCHIVE_EXT@

## vokoscreen-ng 3.1.0

=== debian/changelog ===
vokoscreen-ng (3.1.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Thiago Andrade Marques <andrade@debian.org>  Tue, 15 Mar 2022 08:10:13 -0300

vokoscreen-ng (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0.
  * debian/control: bumped Standards-Version to 4.6.0.1.
  * debian/copyright: updated.
  * debian/upstream/de.volkoh.linuxecke.vokoscreen_ng.metainfo.xml: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Thu, 17 Feb 2022 16:00:01 -0300

vokoscreen-ng (3.0.9-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/copyright: updated packaging copyright year. Happy New year!

 -- Thiago Andrade Marques <andrade@debian.org>  Sun, 02 Jan 2022 12:29:23 -0300

vokoscreen-ng (3.0.9-1) unstable; urgency=medium

  * New upstream version 3.0.9. (Closes: #979312, LP: #1916284)
  * debian/control:
      - Added libwayland-dev to Build-Depends field.
      - Bumped Standards-Version to 4.5.1.
  * debian/copyright: updated packaging and upstream copyright years.
  * debian/docs: replaced features-in-version-4.txt for
    place-to-keep/features-in-version-4.txt.
  * debian/tests/*: Removed CI tests. (see #988591)
  * debian/watch: updated the search rule to make it compliant with new
    standards from GitHub.

 -- Thiago Andrade Marques <andrade@debian.org>  Mon, 30 Aug 2021 00:19:28 -0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: vokoscreen-ng
 Section: video
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Thiago Andrade Marques <andrade@debian.org>
+Maintainer: Thiago Andrade Marques <andrade@debian.org>
 Build-Depends: debhelper-compat (= 13),
-#               qt5-default,
-               libgstreamer1.0-dev (>= 1.12.5),
-               libqt5x11extras5-dev (>= 5.9.4),
-               qtmultimedia5-dev (>= 5.9.4),
-               qttools5-dev-tools (>= 5.9.4),
-               libqt5multimedia5-plugins,
+               libgstreamer1.0-dev,
+               libpulse-dev,
+               libqt5x11extras5-dev,
                libwayland-dev,
-               libpulse-dev
-Standards-Version: 4.5.1
+               qtmultimedia5-dev,
+               qttools5-dev-tools
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://linuxecke.volkoh.de/vokoscreen/vokoscreen.html
 Vcs-Browser: https://salsa.debian.org/debian/vokoscreen-ng
@@ -23,15 +20,15 @@
 Breaks: vokoscreen (<< 2.5.0-6~)
 Provides: vokoscreen
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer1.0-plugins-good,
-            gstreamer1.0-libav,
+Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer1.0-plugins-good
+Recommends: gstreamer1.0-libav,
             gstreamer1.0-pulseaudio,
             libqt5multimedia5-plugins,
-            gstreamer1.0-plugins-ugly,
-            gstreamer1.0-plugins-bad,
-Recommends: gstreamer1.0-vaapi,
-          pulseaudio,
-          intel-media-va-driver | intel-media-va-driver-nonfree 
+            pulseaudio
+Suggests: gstreamer1.0-plugins-ugly,
+          gstreamer1.0-plugins-bad,
+          gstreamer1.0-vaapi,
+          intel-media-va-driver
 Description: easy to use screencast creator
  vokoscreenNG can be used to record videos from computers screen, webcams,
  external cameras, etc. This graphical tool can produce educational videos,

## vokoscreen-ng 3.1.0-1+11.0trisquel1

=== debian/changelog ===
vokoscreen-ng (3.1.0-1+11.0trisquel1) aramo; urgency=medium

  * Tweak version advertising and logo.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 20 Jul 2022 04:55:56 +0000

## vokoscreen-ng 3.3.0

=== debian/changelog ===
vokoscreen-ng (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0.
  * debian/clean: created to ignore upstream files created during the build.
  * debian/control:
      - Added libgstreamer-plugins-base1.0-dev to Build-Depends field.
      - Bumped Standards-Version to 4.6.1.
      - Removed vokoscreen binary.
  * debian/copyright: added a licensing for new files.
  * debian/docs: removed.
  * debian/lintian-overrides: updated.
  * debian/source/lintian-overrides: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Mon, 11 Jul 2022 01:38:42 -0300

vokoscreen-ng (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0.
  * debian/copyright: updated upstream email and copyright years.

 -- Thiago Andrade Marques <andrade@debian.org>  Sun, 17 Apr 2022 18:55:25 -0300

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Thiago Andrade Marques <andrade@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libpulse-dev,
                libqt5x11extras5-dev,
                libwayland-dev,
                qtmultimedia5-dev,
                qttools5-dev-tools
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://linuxecke.volkoh.de/vokoscreen/vokoscreen.html
 Vcs-Browser: https://salsa.debian.org/debian/vokoscreen-ng
@@ -47,10 +48,3 @@
  vokoscreenNG is a modern full replacement for vokoscreen, both written by
  Volker Kohaupt. The main difference is that vokoscreen uses ffmpeg as base,
  while vokoscreenNG has been rewritten from scratch and is based in GStreamer.
-
-Package: vokoscreen
-Architecture: all
-Depends: ${misc:Depends}, vokoscreen-ng
-Section: oldlibs
-Description: easy to use screencast creator (transitional package)
- This is a transitional package. It can safely be removed.

## vokoscreen-ng 3.5.0

=== debian/changelog ===
vokoscreen-ng (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging copyright year. Happy New year!
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Thiago Andrade Marques <andrade@debian.org>  Mon, 06 Feb 2023 14:00:45 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libwayland-dev,
                qtmultimedia5-dev,
                qttools5-dev-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://linuxecke.volkoh.de/vokoscreen/vokoscreen.html
 Vcs-Browser: https://salsa.debian.org/debian/vokoscreen-ng

## vokoscreen-ng 3.7.0

=== debian/changelog ===
vokoscreen-ng (3.7.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:32:59 +1100

vokoscreen-ng (3.7.0-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:28:31 +0000

vokoscreen-ng (3.7.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:57:39 +0000

vokoscreen-ng (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0.
  * debian/control: improved long description.
  * debian/copyright: updated upstream copyright years.

 -- Thiago Andrade Marques <andrade@debian.org>  Thu, 06 Jul 2023 15:50:21 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vokoscreen-ng
 Section: video
 Priority: optional
-Maintainer: Thiago Andrade Marques <andrade@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thiago Andrade Marques <andrade@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
@@ -31,9 +32,15 @@
           gstreamer1.0-vaapi,
           intel-media-va-driver
 Description: easy to use screencast creator
- vokoscreenNG can be used to record videos from computers screen, webcams,
- external cameras, etc. This graphical tool can produce educational videos,
- live recordings of browser navigation, tutorials of installations, record
+ vokoscreenNG is a powerful screencast creator in many languages to record
+ the screen, an area or a window. Recording of audio from multiple sources
+ is supported. With the built-in camera support, you can make your video
+ more personal. Other tools such as systray, magnifying glass, countdown,
+ timer, Showclick and Halo support will help you do a good job.
+ .
+ Can be used to record videos from computers screen, webcams, external
+ cameras, etc. This graphical tool can produce educational videos, live
+ recordings of browser navigation, tutorials of installations, record
  videoconferences, etc. You can capture an alone video or video and sound.
  .
  This program can save files in some formats and use some codecs for video

## vokoscreen-ng 3.7.0-1build3trisquel1

=== debian/changelog ===
vokoscreen-ng (3.7.0-1build3trisquel1) ecne; urgency=medium

  * Tweak version advertising and logo.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 13 Oct 2024 07:46:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: vokoscreen-ng
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Thiago Andrade Marques <andrade@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libgstreamer-plugins-base1.0-dev,

## vokoscreen-ng 3.8.0

=== debian/changelog ===
vokoscreen-ng (3.8.0-0towo1) unstable; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 22 Oct 2023 22:09:16 +0200

## vokoscreen-ng 4.4.0

=== debian/changelog ===
vokoscreen-ng (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0. (Closes: #1091819) (Closes: #1065148)
  * Happy New Year!
  * debian/control:
      - Added pipewire in Recommends field. (Closes: #1066056)
      - Bumped Standards-Version to 4.7.0.
      - Moved some packages from Suggests to Depends field.
      - Updated Build-Depends field.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/lintian-overrides: updated.
  * debian/manpage/*: updated.
  * debian/patches/0001_Dont-show-update-information.patch: created.
  * debian/rules:
      - Added qmake6 as buildsystem.
      - Update export from qt5 to qt6.
  * debian/source/lintian-override: updated.
  * debian/upstream/de.volkoh.linuxecke.vokoscreen_ng.metainfo.xml: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Sat, 04 Jan 2025 18:23:09 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: vokoscreen-ng
 Section: video
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Thiago Andrade Marques <andrade@debian.org>
+Maintainer: Thiago Andrade Marques <andrade@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libpulse-dev,
-               libqt5x11extras5-dev,
                libwayland-dev,
-               qtmultimedia5-dev,
-               qttools5-dev-tools
-Standards-Version: 4.6.2
+               libx11-dev,
+               qt6-multimedia-dev,
+               qt6-tools-dev
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://linuxecke.volkoh.de/vokoscreen/vokoscreen.html
 Vcs-Browser: https://salsa.debian.org/debian/vokoscreen-ng
@@ -22,14 +21,17 @@
 Breaks: vokoscreen (<< 2.5.0-6~)
 Provides: vokoscreen
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer1.0-plugins-good
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         gstreamer1.0-plugins-bad,
+         gstreamer1.0-plugins-good,
+         gstreamer1.0-plugins-ugly
 Recommends: gstreamer1.0-libav,
             gstreamer1.0-pulseaudio,
             libqt5multimedia5-plugins,
+            pipewire,
             pulseaudio
-Suggests: gstreamer1.0-plugins-ugly,
-          gstreamer1.0-plugins-bad,
-          gstreamer1.0-vaapi,
+Suggests: gstreamer1.0-vaapi,
           intel-media-va-driver
 Description: easy to use screencast creator
  vokoscreenNG is a powerful screencast creator in many languages to record

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export QT_SELECT=qt6

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src --buildsystem=qmake6

=== debian/watch ===
version=4
opts=uversionmangle=s/-beta/~beta/ \
https://github.com/vkohaupt/vokoscreenNG/tags .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
